View Issue Details

IDProjectCategoryView StatusLast Update
0029751Open CASCADEOCCT:Meshpublic2019-02-14 12:03
Reporteraml Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0029751: Incremental mesh produces different meshes for windows and linux (debian 8)
DescriptionThe problem is detected in the scope of Adaptive simulations project. Attached script produces different meshes for windows and Linux:

Windows:
Draw[7]> trinfo base

This shape contains 1223 triangles.
                    683 nodes.
Maximal deflection 0.074673163697735523

Linux:
Draw[20]> trinfo base

This shape contains 1221 triangles.
                    682 nodes.
Maximal deflection 0.074673163697735356
Steps To Reproducepsphere sp 10
pcylinder b1 2 10
ttranslate b1 0 0 -10
bcut base sp b1
trotate base 0 0 0 1 0 0 45
incmesh base 0.1
trinfo base
TagsNo tags attached.
Test case numberbugs/mesh/bug29751

Attached Files

  • different_meshes.png (147,804 bytes)

Relationships

related to 0026106 closedbugmaster BRepMesh - revision of data model 

Activities

aml

2018-05-10 12:54

developer  

different_meshes.png (147,804 bytes)

oan

2018-05-10 14:16

developer   ~0075924

DC,

could you please check patch 0026106 - it seems that this problem is also fixed by that one:

Windows:

This shape contains 1013 triangles.
                    578 nodes.
Maximal deflection 0.10000000000000001


Linux (CentOS 7):

This shape contains 1013 triangles.
                    578 nodes.
Maximal deflection 0.10000000000000001


Regards,
Oleg.

aml

2018-05-16 06:43

developer   ~0075988

Dear Oleg,

You are right. Please take care of this issue since it is mesh-related. In the project, we work-arounded this problem.

nbv

2018-11-02 16:15

developer   ~0080642

Dear Bugmaster,

Please recheck this problem after integration the fix 0030322

git

2018-11-07 16:18

administrator   ~0080844

Branch CR29751 has been created by nbv.

SHA-1: f0f18987c20bffdb1a6f8cb89c24cb6485a7ea0c


Detailed log of new commits:

Author: nbv
Date: Wed Nov 7 16:15:46 2018 +0300

    0029751: Incremental mesh produces different meshes for windows and linux (debian 8)
    
    Adding test case for the problem.
    The issue has been fixed by a patch for 0026106.

git

2018-11-07 17:23

administrator   ~0080867

Branch CR29751 has been updated forcibly by nbv.

SHA-1: 7cf83de56043a0e786aeff49e03097d16b859e47

git

2018-11-07 17:26

administrator   ~0080872

Branch CR29751 has been updated forcibly by nbv.

SHA-1: c94a5ff74681ae7ad289c6ca3e6c4bfad0509b50

git

2018-11-07 17:59

administrator   ~0080885

Branch CR29751 has been updated forcibly by nbv.

SHA-1: d842506264c9894a13c8b4d050ae00944fa2b6de

nbv

2018-11-07 18:19

developer   ~0080902

Dear Mikhail,

Please review the branch CR29751.

Test results are here:
Windows: http://jenkins-test-12.nnov.opencascade.com/view/MeshTest-master_NBV/view/TESTING/job/MeshTest-master_NBV-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/

Linux: http://jenkins-test-12.nnov.opencascade.com/view/MeshTest-master_NBV/view/TESTING/job/MeshTest-master_NBV-OCCT-Debian80-64-opt-test-restart/HTML_20Report/

msv

2018-11-08 12:47

developer   ~0080938

As the issue is mesh-related, please use the following command to visualize triangles:
vsetinteriorstyle 1

git

2018-11-08 14:48

administrator   ~0080957

Branch CR29751 has been updated forcibly by nbv.

SHA-1: f1109371ae10c4fc62e55f7a518bdadba2cea6b8

nbv

2018-11-08 14:49

developer   ~0080958

Done. Please review CR29751 again.

msv

2018-11-08 18:17

developer   ~0080986

Reviewed.

bugmaster

2018-11-09 15:14

administrator   ~0081001

Adding new test case

git

2018-11-11 12:00

administrator   ~0081024

Branch CR29751 has been deleted by inv.

SHA-1: f1109371ae10c4fc62e55f7a518bdadba2cea6b8

Related Changesets

occt: master 9d09a126

2018-11-07 13:15:46

nbv


Committer: bugmaster Details Diff
0029751: Incremental mesh produces different meshes for windows and linux (debian 8)

Adding test case for the problem.
The issue has been fixed by a patch for 0026106.
Affected Issues
0029751
add - tests/bugs/mesh/bug29751 Diff File

Issue History

Date Modified Username Field Change
2018-05-10 12:54 aml New Issue
2018-05-10 12:54 aml Assigned To => oan
2018-05-10 12:54 aml File Added: different_meshes.png
2018-05-10 14:16 oan Note Added: 0075924
2018-05-10 14:16 oan Assigned To oan => aml
2018-05-10 14:16 oan Status new => feedback
2018-05-10 14:19 oan Relationship added related to 0026106
2018-05-16 06:42 aml Assigned To aml => oan
2018-05-16 06:43 aml Note Added: 0075988
2018-05-16 06:43 aml Status feedback => assigned
2018-11-02 16:15 nbv Note Added: 0080642
2018-11-02 16:15 nbv Assigned To oan => bugmaster
2018-11-02 16:15 nbv Status assigned => feedback
2018-11-07 16:18 git Note Added: 0080844
2018-11-07 17:23 git Note Added: 0080867
2018-11-07 17:26 git Note Added: 0080872
2018-11-07 17:59 git Note Added: 0080885
2018-11-07 18:19 nbv Note Added: 0080902
2018-11-07 18:19 nbv Assigned To bugmaster => msv
2018-11-07 18:19 nbv Status feedback => resolved
2018-11-08 12:47 msv Note Added: 0080938
2018-11-08 12:47 msv Assigned To msv => nbv
2018-11-08 12:47 msv Status resolved => assigned
2018-11-08 14:48 git Note Added: 0080957
2018-11-08 14:49 nbv Note Added: 0080958
2018-11-08 14:49 nbv Assigned To nbv => msv
2018-11-08 14:49 nbv Status assigned => resolved
2018-11-08 18:17 msv Note Added: 0080986
2018-11-08 18:17 msv Assigned To msv => bugmaster
2018-11-08 18:17 msv Status resolved => reviewed
2018-11-09 15:14 bugmaster Test case number => bugs/mesh/bug29751
2018-11-09 15:14 bugmaster Note Added: 0081001
2018-11-09 15:14 bugmaster Status reviewed => tested
2018-11-11 11:52 bugmaster Changeset attached => occt master 9d09a126
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 11:52 bugmaster Resolution open => fixed
2018-11-11 12:00 git Note Added: 0081024
2019-02-14 12:03 bugmaster Project Internal => Open CASCADE